﻿-- Author      : Matthew
-- Create Date : 1/17/2010 12:48:38 PM


LootCouncil_TheCouncil = {};
LootCouncil_Browser = {}
LootCouncil_Browser.Data = {}
LootCouncil_Browser.Elects = {}
LootCouncil_Browser.Votes = {}
LootCouncil_Browser.WhisperList = {}
LootCouncil_PlayerData = {}
LootCouncil_minRank = 0;
LootCouncil_sawFirstMessage = 0;
LootCouncil_privateVoting = 0;
LootCouncil_singleVote = 0;
LootCouncil_Browser.private = LootCouncil_privateVoting;
LootCouncil_Browser.single = LootCouncil_singleVote;

LootCouncil_LinkWhisper = 1;
LootCouncil_LinkOfficer = 1;
LootCouncil_LinkRaid = 0;
LootCouncil_LinkGuild = 0;
LootCouncil_Version="1.004"

do
	----------- Slash Command Manager -----------
	-- Valid Slash Commands:                   
	-- start (item): starts the consideration        
	-- show: shows the frame                   
	-- hide: hides the frame                     
	---------------------------------------------
	SLASH_LOOT_COUNCIL1 = "/lc";
	SLASH_LOOT_COUNCIL2 = "/lootcouncil";
	SlashCmdList["LOOT_COUNCIL"] = function(msg)
		local cmd, arg = string.split(" ", msg,2); -- Separates the command from the rest
		cmd = cmd:lower(); -- Lower case command
		if cmd == "show" then -- show the main frame
			LootCouncil_Browser.showMainFrame();
		elseif cmd == "hide" then -- hide the main frame
			LootCouncil_Browser.hideMainFrame();
		elseif cmd == "start" then -- try to start a new Loot Council Session
			LootCouncil_Browser.initiateLootCouncil(msg:match("^start%s+(.+)"));
		elseif cmd == "end" then
			LootCouncil_Browser.initiateAbort();
		elseif cmd == "add" then
			local thePlayer, item = string.split(" ", arg);
			local startLoc = string.find(arg, "Hitem:")
			local endLoc = string.find(arg, "|", startLoc)
			local actualItemString = string.sub(arg, startLoc, endLoc)
			local psName, psLink = GetItemInfo(actualItemString); -- Get better info
			LootCouncil_Browser.manualAdd(thePlayer, psLink);
		elseif cmd == "rank" then
			RankFrame:Show()
			LCOptionsFrame:Hide()
		elseif cmd == "config" then
			LCOptionsFrame:Show()
			RankFrame:Hide()
		elseif cmd == "" then
			print("LOOT COUNCIL COMMANDS:");
			print("prefix: /lc");
			print(" - show - shows the main frame")
			print(" - hide - hide the main frame")
			print(" - start (item) - attempts to start a loot council session");
			print(" - end - attempts to end a loot council session");
			print(" - add (name) (itemlink) - manuall adds a player to the consideration")
			print(" - rank - shows the frame for setting the guild council ranks");
			print(" - config - shows the main options window");
		else
			print(""..msg.." is not a valid command for /lc");
		end
	end
end